@use "../abstracts" as abstracts;
@use "../base/" as base;
@use "sass:map";

.header__logo {
  & > * {
    display: block;
    font-weight: map.get(base.$sl-font-weights, "semi-bold");
  }

  .logo__text--dark {
    color: map.get(abstracts.$sl-colors--text, "secondary");
  }

  .logo__text--light {
    color: map.get(abstracts.$sl-colors--text, "primary");
  }
}
